# Class: YARD::Parser::Ruby::Legacy::RubyToken::TkOp

Inherits:
  Token
  - Object
  - Token
  - YARD::Parser::Ruby::Legacy::RubyToken::TkOp
  show all

Defined in:
  lib/yard/parser/ruby/legacy/ruby_lex.rb

## Direct Known Subclasses

TkOPASGN

## Instance Method Summary collapse

- #name ⇒ Object

## Constructor Details

This class inherits a constructor from YARD::Parser::Ruby::Legacy::RubyToken::Token

## Instance Method Details

### #name ⇒ `Object`

    93
    94
    95

    # File 'lib/yard/parser/ruby/legacy/ruby_lex.rb', line 93

    def name
      self.class.op_name
    end